Sensitivity Labels - List Current By Database
获取给定数据库的敏感度标签
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/currentSensitivityLabels?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/currentSensitivityLabels?api-version=2025-01-01&$skipToken={$skipToken}&$count={$count}&$filter={$filter}
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
database
|
path | True |
string |
数据库的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
server
|
path | True |
string |
服务器的名称。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
|
$count
|
query |
boolean |
||
|
$filter
|
query |
string |
一个 OData 筛选器表达式,用于筛选集合中的元素。 |
|
|
$skip
|
query |
string |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure 运营顺利完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Gets the current sensitivity labels of a given database
示例请求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/currentSensitivityLabels?api-version=2025-01-01
示例响应
{
"value": [
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn3/sensitivityLabels/current",
"properties": {
"columnName": "myColumn3",
"informationType": "Financial",
"informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
"labelId": "05e6eaa1-075a-4fb4-a732-a92215a2444a",
"labelName": "Sensitive",
"rank": "Low",
"schemaName": "dbo",
"tableName": "myTable"
}
},
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn4/sensitivityLabels/current",
"properties": {
"columnName": "myColumn4",
"informationType": "Email",
"informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
"labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
"labelName": "PII",
"rank": "None",
"schemaName": "dbo",
"tableName": "myTable"
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Client |
|
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Sensitivity |
敏感度标签。 |
|
Sensitivity |
敏感标签列表操作的响应。 |
|
Sensitivity |
|
|
system |
与创建和上次修改资源相关的元数据。 |
ClientClassificationSource
| 值 | 说明 |
|---|---|
| None |
没有 |
| Native |
本地 |
| Recommended |
推荐 |
| MIP |
MIP |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
SensitivityLabel
敏感度标签。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| managedBy |
string |
管理敏感度标签的资源。 |
| name |
string |
资源的名称 |
| properties.clientClassificationSource | ||
| properties.columnName |
string |
列名。 |
| properties.informationType |
string |
信息类型。 |
| properties.informationTypeId |
string |
信息类型 ID。 |
| properties.isDisabled |
boolean |
是否禁用敏感度建议。 仅适用于建议的敏感度标签。 指定是否禁用此列的敏感度建议(已消除)。 |
| properties.labelId |
string |
标签 ID。 |
| properties.labelName |
string |
标签名称。 |
| properties.rank | ||
| properties.schemaName |
string |
架构名称。 |
| properties.tableName |
string |
表名称。 |
| systemData |
Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户” |
SensitivityLabelListResult
敏感标签列表操作的响应。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string (uri) |
指向下一页项的链接 |
| value |
本页上的敏感标签项目 |
SensitivityLabelRank
| 值 | 说明 |
|---|---|
| None |
没有 |
| Low |
低 |
| Medium |
中等 |
| High |
高 |
| Critical |
危急 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |